Create Data Export destination
Create a new Data Export destination.
In the config request body parameter, the fields required depend on the type of Data Export destination.
Click to expand config parameter details
Azure Event Hubs
To create a Data Export destination with a kind of azure-event-hubs, the config object requires the following fields:
namespace: The Event Hub Namespace namename: The Event Hub namepolicyName: The shared access signature policy name. You can find your policy name in the settings of your Azure Event Hubs Namespace.policyKey: The shared access signature key. You can find your policy key in the settings of your Azure Event Hubs Namespace.
Google Cloud Pub/Sub
To create a Data Export destination with a kind of google-pubsub, the config object requires the following fields:
project: The Google PubSub project ID for the project to publish totopic: The Google PubSub topic ID for the topic to publish to
Amazon Kinesis
To create a Data Export destination with a kind of kinesis, the config object requires the following fields:
region: The Kinesis stream’s AWS region keyroleArn: The Amazon Resource Name (ARN) of the AWS role that will be writing to KinesisstreamName: The name of the Kinesis stream that LaunchDarkly is sending events to. This is not the ARN of the stream.
mParticle
To create a Data Export destination with a kind of mparticle, the config object requires the following fields:
apiKey: The mParticle API keysecret: The mParticle API secretuserIdentity: The type of identifier you use to identify your end users in mParticleanonymousUserIdentity: The type of identifier you use to identify your anonymous end users in mParticle
Segment
To create a Data Export destination with a kind of segment, the config object requires the following fields:
writeKey: The Segment write key. This is used to authenticate LaunchDarkly’s calls to Segment.
Snowflake
To create a Data Export destination with a kind of snowflake-v2, the config object requires the following fields:
publicKey: ThepublicKeyis returned as part of the Generate Snowflake destination key pair response. It is thepublic_keyfield.snowflakeHostAddress: Your Snowflake account URL.
Authorizations
Path Parameters
The project key
The environment key
Body
A human-readable name for your Data Export destination
"example-destination"
The type of Data Export destination
google-pubsub, kinesis, mparticle, segment, azure-event-hubs, snowflake-v2, databricks, bigquery, redshift "google-pubsub"
An object with the configuration parameters required for the destination type
"{\"project\":\"test-prod\",\"topic\":\"ld-pubsub-test-192301\"}"
Whether the export is on. Displayed as the integration status in the LaunchDarkly UI.
true
Response
Destination response
The ID of this Data Export destination
"610addeadbeefaa86ec9a7d4"
The location and content type of related resources
A human-readable name for your Data Export destination
"example-destination"
The type of Data Export destination
google-pubsub, kinesis, mparticle, segment, azure-event-hubs, snowflake-v2, databricks, bigquery, redshift "google-pubsub"
1
An object with the configuration parameters required for the destination type
"{\"project\":\"test-prod\",\"topic\":\"ld-pubsub-test-192301\"}"
Whether the export is on, that is, the status of the integration
true
Timestamp of when the Data Export destination was created (as Unix milliseconds since epoch)
"1628001602644"
The ID of the member who maintains this Data Export destination
"569f183514f4432160000007"
Details on the allowed and denied actions for this Data Export destination
For completed Redshift Data Export destinations, the SQL setup script and S3 staging bucket name rehydrated from the persisted config. Omitted otherwise.